<%@ PAGE LANGUAGE="C#" %>
<html>
<head>
<style>
	div.box	{
		border-style : solid;
		padding : 1em;
		margin : 1em;
	}
</style>

<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		// hbv_EXg̏
		foreach (string name in Enum.GetNames(typeof(RepeatDirection))) {
			direction.Items.Add(new ListItem(name));
		}
		foreach (string name in Enum.GetNames(typeof(RepeatLayout))) {
			layout.Items.Add(new ListItem(name));
		}
		foreach (string name in Enum.GetNames(typeof(TextAlign))) {
			align.Items.Add(new ListItem(name));
		}

		// asp:CheckBoxListasp:RadioButtonList̏
		string[] itemlist = {
			"aaaaaaaa",	"bbbbbbbb",	"cccccccc",	"dddddddd",
			"aaaaaaaa",	"bbbbbbbb",	"cccccccc",	"dddddddd",
			"aaaaaaaa",	"bbbbbbbb",	"cccccccc",	"dddddddd",
			"aaaaaaaa",	"bbbbbbbb",	"cccccccc",	"dddddddd",
			"eeeeeeee"
		};
		checklist1.DataSource = itemlist;
		checklist1.DataBind();

		radiolist1.DataSource = itemlist;
		radiolist1.DataBind();
	} else {
		// |XgobN̏
		try {
			checklist1.RepeatColumns = Int32.Parse(columns.Text);
			radiolist1.RepeatColumns = Int32.Parse(columns.Text);
		}
		catch (Exception exp) {
			checklist1.RepeatColumns = 1;
			radiolist1.RepeatColumns = 1;
			columns.Text = "1";
		}

		RepeatDirection rd = (RepeatDirection) Enum.Parse(
			typeof(RepeatDirection), direction.SelectedItem.Text);
		checklist1.RepeatDirection = rd;
		radiolist1.RepeatDirection = rd;

		RepeatLayout rl = (RepeatLayout) Enum.Parse(
			typeof(RepeatLayout), layout.SelectedItem.Text);
		checklist1.RepeatLayout = rl;
		radiolist1.RepeatLayout = rl;

		TextAlign ta = (TextAlign) Enum.Parse(
			typeof(TextAlign), align.SelectedItem.Text);
		checklist1.TextAlign = ta;
		radiolist1.TextAlign = ta;
	}
}
</script>
</head>

<body>
<form runat="server">
	RepeatColumns : <asp:TextBox id="columns" runat="server" />
	RepeatDirection : <asp:DropDownList id="direction" runat="server" />
	RepeatLayout : <asp:DropDownList id="layout" runat="server" />
	TextAlign : <asp:DropDownList id="align" runat="server" />

	<asp:Button Text="OK" runat="server" />

	<div class="box">
	<table>
	<tr><td>asp:CheckBoxList</td><td>asp:RadioButtonList</td></tr>
	<tr><td>
		<div class="box">
		<asp:CheckBoxList id="checklist1" runat="server" /></span>
		</div>
	</td><td>
		<div class="box">
		<asp:RadioButtonList id="radiolist1" runat="server" /></span>
		</div>
	</td></tr></table>
	</div>
</form>
</body>
</html>
